name: Renovate Dependency Bot

on:
  schedule:
    - cron: "0 3 * * *"
  workflow_dispatch:

jobs:
  renovate:
    runs-on: ubuntu-latest
    container: catthehacker/ubuntu:act-latest
    steps:
      - name: Checkout
        uses: actions/checkout@v5

      - name: Setup Node.js
        uses: actions/setup-node@v5
        with:
          node-version: "22"

      - name: Renovate
        uses: https://github.com/renovatebot/github-action@v43.0.14
        with:
          token: ${{ secrets.RENOVATE_TOKEN }}
        env:
          LOG_LEVEL: info
          RENOVATE_ENDPOINT: ${{ vars.RENOVATE_ENDPOINT }}
          RENOVATE_PLATFORM: gitea
          RENOVATE_REPOSITORIES: ${{ github.repository }}
          RENOVATE_GITHUB_COM_TOKEN: ${{ secrets.RENOVATE_GITHUB_TOKEN }}
          RENOVATE_GIT_AUTHOR: "Renovate Bot <renovate@servala.app.codey.ch>"
          RENOVATE_USERNAME: renovate
          RENOVATE_ENABLE_PYTHON_TOOL_VERSIONS: true
